package com.hichina.admin.hichinaadminbackend.checker;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class DateProductAttributeChecker implements ProductAttributeChecker<Date> {

    @Override
    public Date check(String value) throws InvalidProductAttributeException {
        SimpleDateFormat formatter = new SimpleDateFormat("yyyy/MM/dd", Locale.ENGLISH);
        Date date;
        try {
            date = formatter.parse(value);
            return date;
        } catch (ParseException e) {
            throw new InvalidProductAttributeException("invalid date attribute (yyyy/MM/dd): " + value);
        }
    }
}
