package com.hichina.admin.hichinaadminbackend.model.DTO;

import lombok.Data;

@Data
public class HiChinaResult<T> {

    private boolean ok;

    private String message;

    private T data;

    public static <T> HiChinaResult<T> ok(T data) {
        HiChinaResult<T> result = new HiChinaResult<>();
        result.ok = true;
        result.message = "ok";
        result.data = data;
        return result;
    }

    public static <T> HiChinaResult<T> ok(String message, T data) {
        HiChinaResult<T> result = new HiChinaResult<>();
        result.ok = true;
        result.message = message;
        result.data = data;
        return result;
    }

    public static <T> HiChinaResult<T> error(String message) {
        HiChinaResult<T> result = new HiChinaResult<>();
        result.ok = false;
        result.message = message;
        result.data = null;
        return result;
    }

    public static <T> HiChinaResult<T> error(String message, T data) {
        HiChinaResult<T> result = new HiChinaResult<>();
        result.ok = false;
        result.message = message;
        result.data = data;
        return result;
    }
}
