package com.hichina.admin.hichinaadminbackend.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

@Data
@NoArgsConstructor
public class ProductSkuTimestampAttributeMapping {
    @JsonProperty("sku_id")
    private String skuId;

    @JsonProperty("data_type")
    private String dataType;

    @JsonProperty("attribute_id")
    private String attributeId;

    @JsonProperty("attribute_value")
    private Date attributeValue;

    public static ProductSkuTimestampAttributeMapping create(String skuId, String attributeId, String value) {
        ProductSkuTimestampAttributeMapping productSkuTimestampAttributeMapping = new ProductSkuTimestampAttributeMapping();
        productSkuTimestampAttributeMapping.setSkuId(skuId);
        SimpleDateFormat formatter = new SimpleDateFormat("yyyy/MM/dd", Locale.ENGLISH);
        Date date = null;
        try {
            date = formatter.parse(value);
            productSkuTimestampAttributeMapping.setAttributeValue(date);
            productSkuTimestampAttributeMapping.setDataType("date");
            productSkuTimestampAttributeMapping.setAttributeId(attributeId);
        } catch (ParseException e) {
            throw new RuntimeException("Invalid date format");
        }
        return productSkuTimestampAttributeMapping;
    }
}
