# API Service

## Environment preparation

### Prerequisite

- JDK 17
- Gradle 7

### with docker

```shell
# for logs
mkdir -p /opt/hichina

# db
docker run --name mysql_unified_hichina -p 3306:3306 -e MYSQL_ROOT_PASSWORD=Passw0rd -d mysql
docker exec -it mysql_unified_hichina mysql -u root -p -e "create database unified_hichina" 

docker run --name mongo_unified_hichina -p 27017:27017 -d mongo

docker run --name redis_hichina -p 6379:6379 -d redis
```

And Run SpringBoot !!!

## Migration

[Liquibase](https://docs.liquibase.com/concepts/introduction-to-liquibase.html) with Spring

See `db/changelog/liquibase-changeLog.xml`





